extproc perl -Sx
#!perl

$zipfile = "perl501m";

@files = grep(chomp, <DATA>);

open(F, "find OS2 lib pod ext/OS2 -type f -print|") or die "find";
while (<F>) {
  chomp;
  next unless $_;
  next if m'~$';
  next if m'\.diff$'i;
  next if m'\.html$'i;
  next if m'/SSB'i;
  next if m'^OS2/.*\.zip$'i;
  next if m'^OS2/.*/save.cmd'i;
  next if m'^lib/auto/GDBM_File'i;
  if (m'^ext/OS2'i) {
    next unless m'\.xs'i || m'\.pm'i || m'\.pl'i || m'/typemap$'i;
  }
  push @files, $_;
}
close(F);

open(F, "|zip -ru9@ $zipfile") or die "zip";
foreach (@files) {
  print F "$_\n";
}
close(F);

exit(0);

__END__
README
README.OS2
Artistic
Copying
perl5.exe
perl5.dll
perl5x.exe
patches
ext/DynaLoader/dl_os2.xs